ADs by Techtunes ADs
ADs by Techtunes ADs

Java Spring এর উপর খুবই সুন্দর বাংলা টিউটোরিয়াল Part 2

টিউন বিভাগ জাভা
প্রকাশিত

আসসালামু আলাইকুম। আজ Java Spring এর উপর খুবই সুন্দর বাংলা টিউটোরিয়াল part 2 নিয়ে আসলাম। আমি কিছু টেক্সট ওদের সাইট থেকে কপি করে দিলাম। কিন্তু ভিডিওতে খুবই সুন্দর করে দেখানো আছে কিভাবে ইনস্টল করথে হবে।

ADs by Techtunes ADs

Installing the SpringSource Tool Suite

The SpringSource Tool Suite (STS) is a development environment based on Eclipse that comes configured with all the plugins needed to work with dm Server and OSGi. This includes the latest version of dm Server Tools, so no updates are necessary. Although the steps are similar, the details of installing STS depend on the operating system.

Go to the STS download site (http://www.springsource.com/products/sts) and download the variant appropriate to the operating system being used. This guide is consistent with STS version 2.3.0.RELEASE.

Installing STS on Windows™ operating systems

Unzip the download of STS to the root directory of a drive (this will avoid possible problems with long pathnames).

prompt> cd C:\
prompt> "%JAVA_HOME%"\bin\jar xf \full…path…to\springsource-tool-suite-2.3.0.RELEASE-e3.4-win32.zip

To verify the installation, run the eclipse.exe executable in the unzipped directory and check that STS displays a welcome panel. The first time there may be a short delay due to the initial set-up of indexes.

Installing STS on UNIX™ operating systems

Unpack the download of STS to a suitable location on the file system, such as /opt or, if root access is not available, the home directory. (If the download was automatically unpacked by the operating system, simply move the unpacked directory to the chosen location.)

To verify the installation, run the STS executable (Eclipse.app on Mac OS X) in the unpacked directory and check that STS displays a welcome panel. The first time there may be a short delay due to the initial set-up of indexes.

Note about Java versions in STS

SpringSource Tool Suite runs on Eclipse using Java Version 1.5, and dm Server requires Java Version 1.6. The GreenPages application built here also requires Java Version 1.6. Alter the default Java compiler settings in STS before proceeding:

  1. In SpringSource Tool Suite, click Window > Preferences from the menu.
  2. In the Preferences window, click Java > Compiler in the left panel.
  3. In the right panel, set the Compiler compliance level to 1.6.
  4. Click Apply. You will get a message asking if you want a full rebuild; click Yes. The rebuild should take very little time to complete.You might also see a message similar to the following on the settings panel: “When selecting 1.6 compliance, make sure to have a compatible JRE installed and activated (currently 1.5).” A link to Configure this will appear. Select this link to open the Java-Installed JREs panel. If not already selected, choose a JRE suitable for Java Version 1.6.x (for example JVM 1.6.0).
  5. Click OK.

আজকের মত এখানেই শেষ করছি আল্লাহ হাফেজ

ADs by Techtunes ADs

ADs by Techtunes ADs
Level 0

আমি ওয়েব টিউটর। বিশ্বের সর্ববৃহৎ বিজ্ঞান ও প্রযুক্তির সৌশল নেটওয়ার্ক - টেকটিউনস এ আমি 4 বছর 2 মাস যাবৎ যুক্ত আছি। টেকটিউনস আমি এ পর্যন্ত 4 টি টিউন ও 1 টি টিউমেন্ট করেছি। টেকটিউনসে আমার 0 ফলোয়ার আছে এবং আমি টেকটিউনসে 0 টিউনারকে ফলো করি।


টিউনস


আরও টিউনস


টিউনারের আরও টিউনস


টিউমেন্টস